Download a support package

gethttps://app.mk.io/api/v1/projects/:project_name/fleet/devices/:name/supportPackages/:package_name

Returns a JSON object containing the blob storage URL for the specified support package. The URL includes a time-limited SAS token for secure download.

RBAC Capability Required: fleet.device.get

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

project_namestringRequired
namestringRequired
package_namestringRequired

Response

200Download URL returned successfully.

No response body.

Errors

400Bad Request

Loading schema details…

401Unauthorized

Loading schema details…

403Forbidden

Loading schema details…

404Not Found

Loading schema details…

429Too Many Requests

Loading schema details…

500Internal Server Error

Loading schema details…